Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Problem with Atos installation on OSC MS2


zenzen

Recommended Posts

Dear all,

I'm trying to install Atos (Cyberplus Banque Populaire, french payment) on my website.

I've checked several time the path of request file (even with realpath()) but an error still remains : "/lib/libc.so.6: version `GLIBC_2.3' not found (required by /home/htpro/cgi-bin/request) ".

I received this mail :

The following error occurs while encoding the request

/home/htpro/www/atos/request: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /home/htpro/www/atos/request)

Error occurs in /checkout_confirmation.php

 

Here's what I did : I've downloaded the contribution Atos 5, installed and activated it.

I installed files i've got from the bank :

call_request.php, call_response.php, call_autoresponse.php

certif.fr.0388...(for demo mode), parcom.0388..., parcom.cyberplus

request, response

some CC pictures

certif.fr.04...(for production mode)

 

I followed the guide from the contribution Atos 5 and from the bank. But I've no clue for this problem.

 

 

Can anyone help me please?

 

Thanks in advance.

zenzen.

Edited by zenzen
Link to comment
Share on other sites

I'vejust discussed with the bank. The problem was from the compatibility between Atos Cyberplus 600 and the library of my provider OVH.com. I've got now Atos Cyberplus 500.

I've got another error message :

Test de l'API plug-in CYBERPLUS

Erreur appel API de paiement.

message erreur : invalid number of arguments (must be < 2).

Can someone help me, please?

zenzen.

Link to comment
Share on other sites

  • 7 months later...
Dear all,

I'm trying to install Atos (Cyberplus Banque Populaire, french payment) on my website.

I've checked several time the path of request file (even with realpath()) but an error still remains : "/lib/libc.so.6: version `GLIBC_2.3' not found (required by /home/htpro/cgi-bin/request) ".

I received this mail :

The following error occurs while encoding the request

/home/htpro/www/atos/request: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /home/htpro/www/atos/request)

Error occurs in /checkout_confirmation.php

 

Here's what I did : I've downloaded the contribution Atos 5, installed and activated it.

I installed files i've got from the bank :

call_request.php, call_response.php, call_autoresponse.php

certif.fr.0388...(for demo mode), parcom.0388..., parcom.cyberplus

request, response

some CC pictures

certif.fr.04...(for production mode)

 

I followed the guide from the contribution Atos 5 and from the bank. But I've no clue for this problem.

Can anyone help me please?

 

Thanks in advance.

zenzen.

 

 

What joy, you have ATOS too!

 

After many problems I discovered that ATOS hates to have it's request separated from the main file, as indicated in the error message... it is looking for request in the ATOS file itself (/home/htpro/www/atos/request), since normally with the setup there should be a file ATOS which contains the parmcoms, the request, and response (the pathfile will be generated normally). Had to take it out of the cgibin to have it function. Try it this way with all in the catalog/ATOS file (be sure to put an .htaccess in it). Done this way it works like a charm. Then too, be sure to put your chmods as indicated in the installation or it can not write on the file.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...